diff --git a/sys/dev/raid/arcmsr/arcmsr.h b/sys/dev/raid/arcmsr/arcmsr.h
index ed91264..45edfff 100644
--- a/sys/dev/raid/arcmsr/arcmsr.h
+++ b/sys/dev/raid/arcmsr/arcmsr.h
@@ -3587,7 +3758,7 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  VPD Next Item Pointer Register - VPD_NXTP
-**
+**  
 **  The Next Item Pointer Register bits adhere to the definitions in the PCI Local Bus Specification,
 **  Revision 2.3. This register describes the location of the next item in the function¡¦s capability list.
 **  For the 80331, this the final capability list, and hence, this register is set to 00H.
@@ -3662,13 +3833,13 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  Power Management Capabilities Register - PM_CAP
-**
+**  
 **  Power Management Capabilities bits adhere to the definitions in the PCI Bus Power Management
 **  Interface Specification, Revision 1.1. This register is a 16-bit read-only register which provides
 **  information on the capabilities of the ATU function related to power management.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  15:11   00000 2                         PME_Support - This function is not capable of asserting the PME# signal in any state, since PME#
+**  15:11   00000 2                         PME_Support - This function is not capable of asserting the PME# signal in any state, since PME# 
 **                                          is not supported by the 80331.
 **  10          0 2                         D2_Support - This bit is set to 0 2 indicating that the 80331 does not support the D2 Power Management State
 **  9           1 2                         D1_Support - This bit is set to 1 2 indicating that the 80331 supports the D1 Power Management State
@@ -3678,7 +3849,7 @@ struct SENSE_DATA {
 **                                                          following the transition to the D0 uninitialized state.
 **  4           0 2                         Reserved.
 **  3           0 2                         PME Clock - Since the 80331 does not support PME# signal generation this bit is cleared to 0 2 .
-**  2:0       010 2                         Version - Setting these bits to 010 2 means that this function complies with PCI Bus Power Management
+**  2:0       010 2                         Version - Setting these bits to 010 2 means that this function complies with PCI Bus Power Management 
 **                                          Interface Specification, Revision 1.1
 ***********************************************************************************
 */
@@ -3695,10 +3866,10 @@ struct SENSE_DATA {
 **  15          0 2                         PME_Status - This function is not capable of asserting the PME# signal in any state, since PME## is not
 **                                          supported by the 80331.
 **  14:9        00H                         Reserved
-**  8           0 2                         PME_En - This bit is hardwired to read-only 0 2 since this function does not support PME#
+**  8           0 2                         PME_En - This bit is hardwired to read-only 0 2 since this function does not support PME# 
 **                                          generation from any power state.
 **  7:2    000000 2                         Reserved
-**  1:0        00 2                         Power State - This 2-bit field is used both to determine the current power state
+**  1:0        00 2                         Power State - This 2-bit field is used both to determine the current power state 
 **                                          of a function and to set the function into a new power state. The definition of the values is:
 **  							00 2 - D0
 **  							01 2 - D1
@@ -3712,7 +3883,7 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  PCI-X Capability Identifier Register - PX_CAPID
-**
+**  
 **  The Capability Identifier Register bits adhere to the definitions in the PCI Local Bus Specification,
 **  Revision 2.3. This register in the PCI Extended Capability header identifies the type of Extended
 **  Capability contained in that header. In the case of the 80331, this is the PCI-X extended capability with
@@ -3727,7 +3898,7 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  PCI-X Next Item Pointer Register - PX_NXTP
-**
+**  
 **  The Next Item Pointer Register bits adhere to the definitions in the PCI Local Bus Specification,
 **  Revision 2.3. This register describes the location of the next item in the function¡¦s capability list.
 **  By default, the PCI-X capability is the last capabilities list for the 80331, thus this register defaults
@@ -3754,7 +3925,7 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  PCI-X Command Register - PX_CMD
-**
+**  
 **  This register controls various modes and features of ATU and Message Unit when operating in the
 **  PCI-X mode.
 **  -----------------------------------------------------------------
@@ -3790,7 +3961,7 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  PCI-X Status Register - PX_SR
-**
+**  
 **  This register identifies the capabilities and current operating mode of ATU, DMAs and Message
 **  Unit when operating in the PCI-X mode.
 **  -----------------------------------------------------------------
@@ -3809,7 +3980,7 @@ struct SENSE_DATA {
 **  					2 32 2048
 **  					2 32 4096
 **  25:23      011 2                        Designed Maximum Outstanding Split Transactions - The 80331 can have up to four outstanding split transactions.
-**  22:21       01 2                        Designed Maximum Memory Read Byte Count - The 80331 can generate memory reads with byte counts up
+**  22:21       01 2                        Designed Maximum Memory Read Byte Count - The 80331 can generate memory reads with byte counts up 
 **                                          to 1024 bytes.
 **  20           1 2                        80331 is a complex device.
 **  19           0 2                        Unexpected Split Completion - This bit is set when an unexpected Split Completion with this device¡¦s
@@ -3825,11 +3996,11 @@ struct SENSE_DATA {
 **  		NOTE: The 80331 does not set this bit since there is no Inbound address responding to Inbound Read
 **  			Requests with Split Responses (Memory or Register) that has ¡§read side effects.¡¨
 **  17           1 2                        80331 is a 133 MHz capable device.
-**  16           1 2 or P_32BITPCI#	80331 with bridge enabled (BRG_EN=1) implements the ATU with a 64-bit interface on the secondary PCI bus,
+**  16           1 2 or P_32BITPCI#	80331 with bridge enabled (BRG_EN=1) implements the ATU with a 64-bit interface on the secondary PCI bus, 
 **  					therefore this bit is always set.
-**  			80331 with no bridge and central resource disabled (BRG_EN=0, ARB_EN=0),
-**  			use this bit to identify the add-in card to the system as 64-bit or 32-bit wide via a user-configurable strap (P_32BITPCI#).
-**  			This strap, by default, identifies the add in card based on 80331 with bridge disabled
+**  			80331 with no bridge and central resource disabled (BRG_EN=0, ARB_EN=0), 
+**  			use this bit to identify the add-in card to the system as 64-bit or 32-bit wide via a user-configurable strap (P_32BITPCI#). 
+**  			This strap, by default, identifies the add in card based on 80331 with bridge disabled 
 **  			as 64-bit unless the user attaches the appropriate pull-down resistor to the strap.
 **  			0=The bus is 32 bits wide.
 **  			1=The bus is 64 bits wide.
@@ -4174,7 +4345,7 @@ struct SENSE_DATA {
 **  actions is taken:
 **  ¡X When the ATU Detected Parity Error Interrupt Mask bit in the ATUIMR is clear, set the
 **  Detected Parity Error bit in the ATUISR. When set, no action.
-**  ===================================================
+**  =================================================== 
 **                       PCI-X Mode
 **  ===================================================
 **  Data parity errors occurring during configuration write operations received by the ATU may cause
@@ -4244,24 +4415,24 @@ struct SENSE_DATA {
 ******************************************************************************************************
 **                 Messaging Unit (MU) of the Intel R 80331 I/O processor (80331)
 **  ==================================================================================================
-**	The Messaging Unit (MU) transfers data between the PCI system and the 80331
+**	The Messaging Unit (MU) transfers data between the PCI system and the 80331 
 **  notifies the respective system when new data arrives.
 **	The PCI window for messaging transactions is always the first 4 Kbytes of the inbound translation.
-**	window defined by:
-**                    1.Inbound ATU Base Address Register 0 (IABAR0)
+**	window defined by: 
+**                    1.Inbound ATU Base Address Register 0 (IABAR0) 
 **                    2.Inbound ATU Limit Register 0 (IALR0)
-**	All of the Messaging Unit errors are reported in the same manner as ATU errors.
+**	All of the Messaging Unit errors are reported in the same manner as ATU errors. 
 **  Error conditions and status can be found in :
-**                                               1.ATUSR
+**                                               1.ATUSR 
 **                                               2.ATUISR
 **====================================================================================================
 **     Mechanism        Quantity               Assert PCI Interrupt Signals      Generate I/O Processor Interrupt
 **----------------------------------------------------------------------------------------------------
 **  Message Registers      2 Inbound                   Optional                              Optional
-**                         2 Outbound
+**                         2 Outbound                
 **----------------------------------------------------------------------------------------------------
 **  Doorbell Registers     1 Inbound                   Optional                              Optional
-**                         1 Outbound
+**                         1 Outbound  
 **----------------------------------------------------------------------------------------------------
 **  Circular Queues        4 Circular Queues           Under certain conditions              Under certain conditions
 **----------------------------------------------------------------------------------------------------
@@ -4312,38 +4483,38 @@ struct SENSE_DATA {
 **  outbound_msgaddr0:
 **  outbound_msgaddr1:
 **  .  The MU has four independent messaging mechanisms.
-**     There are four Message Registers that are similar to a combination of mailbox and doorbell registers.
+**     There are four Message Registers that are similar to a combination of mailbox and doorbell registers. 
 **     Each holds a 32-bit value and generates an interrupt when written.
 **--------------------
 **   inbound_doorbell:
 **  outbound_doorbell:
-**  .  The two Doorbell Registers support software interrupts.
+**  .  The two Doorbell Registers support software interrupts. 
 **     When a bit is set in a Doorbell Register, an interrupt is generated.
 **--------------------
 **  inbound_queueport:
 ** outbound_queueport:
 **
 **
-**  .  The Circular Queues support a message passing scheme that uses 4 circular queues.
-**     The 4 circular queues are implemented in 80331 local memory.
-**     Two queues are used for inbound messages and two are used for outbound messages.
+**  .  The Circular Queues support a message passing scheme that uses 4 circular queues. 
+**     The 4 circular queues are implemented in 80331 local memory. 
+**     Two queues are used for inbound messages and two are used for outbound messages. 
 **     Interrupts may be generated when the queue is written.
 **--------------------
 ** local_buffer 0x0050 ....0x0FFF
-**  .  The Index Registers use a portion of the 80331 local memory to implement a large set of message registers.
+**  .  The Index Registers use a portion of the 80331 local memory to implement a large set of message registers. 
 **     When one of the Index Registers is written, an interrupt is generated and the address of the register written is captured.
-**     Interrupt status for all interrupts is recorded in the Inbound Interrupt Status Register and the Outbound Interrupt Status Register.
+**     Interrupt status for all interrupts is recorded in the Inbound Interrupt Status Register and the Outbound Interrupt Status Register. 
 **     Each interrupt generated by the Messaging Unit can be masked.
 **--------------------
-**  .  Multi-DWORD PCI burst accesses are not supported by the Messaging Unit,
-**     with the exception of Multi-DWORD reads to the index registers.
-**     In Conventional mode: the MU terminates   Multi-DWORD PCI transactions
-**     (other than index register reads) with a disconnect at the next Qword boundary, with the exception of queue ports.
-**     In PCI-X mode       : the MU terminates a Multi-DWORD PCI read transaction with a Split Response
+**  .  Multi-DWORD PCI burst accesses are not supported by the Messaging Unit, 
+**     with the exception of Multi-DWORD reads to the index registers. 
+**     In Conventional mode: the MU terminates   Multi-DWORD PCI transactions 
+**     (other than index register reads) with a disconnect at the next Qword boundary, with the exception of queue ports. 
+**     In PCI-X mode       : the MU terminates a Multi-DWORD PCI read transaction with a Split Response 
 **     and the data is returned through split completion transaction(s).
-**     however, when the burst request crosses into or through the range of  offsets 40h to 4Ch
-**     (e.g., this includes the queue ports) the transaction is signaled target-abort immediately on the PCI bus.
-**     In PCI-X mode, Multi-DWORD PCI writes is signaled a Single-Data-Phase Disconnect
+**     however, when the burst request crosses into or through the range of  offsets 40h to 4Ch 
+**     (e.g., this includes the queue ports) the transaction is signaled target-abort immediately on the PCI bus. 
+**     In PCI-X mode, Multi-DWORD PCI writes is signaled a Single-Data-Phase Disconnect 
 **     which means that no data beyond the first Qword (Dword when the MU does not assert P_ACK64#) is written.
 **--------------------
 **  .  All registers needed to configure and control the Messaging Unit are memory-mapped registers.
@@ -4356,10 +4527,10 @@ struct SENSE_DATA {
 **     The Messaging Unit must observe all PCI control bits in the ATU Command Register and ATU Configuration Register.
 **     The Messaging Unit reports all PCI errors in the ATU Status Register.
 **--------------------
-**  .  Parts of the Messaging Unit can be accessed as a 64-bit PCI device.
-**     The register interface, message registers, doorbell registers,
-**     and index registers returns a P_ACK64# in response to a P_REQ64# on the PCI interface.
-**     Up to 1 Qword of data can be read or written per transaction (except Index Register reads).
+**  .  Parts of the Messaging Unit can be accessed as a 64-bit PCI device. 
+**     The register interface, message registers, doorbell registers, 
+**     and index registers returns a P_ACK64# in response to a P_REQ64# on the PCI interface. 
+**     Up to 1 Qword of data can be read or written per transaction (except Index Register reads). 
 **     The Inbound and Outbound Queue Ports are always 32-bit addresses and the MU does not assert P_ACK64# to offsets 40H and 44H.
 **************************************************************************
 */
@@ -4367,7 +4538,7 @@ struct SENSE_DATA {
 **************************************************************************
 **  Message Registers
 **  ==============================
-**  . Messages can be sent and received by the 80331 through the use of the Message Registers.
+**  . Messages can be sent and received by the 80331 through the use of the Message Registers. 
 **  . When written, the message registers may cause an interrupt to be generated to either the Intel XScale core or the host processor.
 **  . Inbound messages are sent by the host processor and received by the 80331.
 **    Outbound messages are sent by the 80331 and received by the host processor.
@@ -4376,23 +4547,23 @@ struct SENSE_DATA {
 **
 **  Inbound Messages:
 **  -----------------
-**  . When an inbound message register is written by an external PCI agent, an interrupt may be generated to the Intel XScale core.
+**  . When an inbound message register is written by an external PCI agent, an interrupt may be generated to the Intel XScale core. 
 **  . The interrupt may be masked by the mask bits in the Inbound Interrupt Mask Register.
-**  . The Intel XScale core interrupt is recorded in the Inbound Interrupt Status Register.
-**    The interrupt causes the Inbound Message Interrupt bit to be set in the Inbound Interrupt Status Register.
+**  . The Intel XScale core interrupt is recorded in the Inbound Interrupt Status Register. 
+**    The interrupt causes the Inbound Message Interrupt bit to be set in the Inbound Interrupt Status Register. 
 **    This is a Read/Clear bit that is set by the MU hardware and cleared by software.
-**    The interrupt is cleared when the Intel XScale core writes a value of
+**    The interrupt is cleared when the Intel XScale core writes a value of 
 **    1 to the Inbound Message Interrupt bit in the Inbound Interrupt Status Register.
 **  ------------------------------------------------------------------------
 **  Inbound Message Register - IMRx
 **
-**  . There are two Inbound Message Registers: IMR0 and IMR1.
+**  . There are two Inbound Message Registers: IMR0 and IMR1. 
 **  . When the IMR register is written, an interrupt to the Intel XScale core may be generated.
-**    The interrupt is recorded in the Inbound Interrupt Status Register and may be masked
+**    The interrupt is recorded in the Inbound Interrupt Status Register and may be masked 
 **    by the Inbound Message Interrupt Mask bit in the Inbound Interrupt Mask Register.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  31:00    0000 0000H                     Inbound Message - This is a 32-bit message written by an external PCI agent.
+**  31:00    0000 0000H                     Inbound Message - This is a 32-bit message written by an external PCI agent. 
 **                                                            When written, an interrupt to the Intel XScale core may be generated.
 **************************************************************************
 */
@@ -4418,40 +4589,40 @@ struct SENSE_DATA {
 **************************************************************************
 **        Doorbell Registers
 **  ==============================
-**  There are two Doorbell Registers:
-**                                  Inbound Doorbell Register
+**  There are two Doorbell Registers: 
+**                                  Inbound Doorbell Register 
 **                                  Outbound Doorbell Register
-**  The Inbound Doorbell Register allows external PCI agents to generate interrupts to the Intel R XScale core.
-**  The Outbound Doorbell Register allows the Intel R XScale core to generate a PCI interrupt.
+**  The Inbound Doorbell Register allows external PCI agents to generate interrupts to the Intel R XScale core. 
+**  The Outbound Doorbell Register allows the Intel R XScale core to generate a PCI interrupt. 
 **  Both Doorbell Registers may generate interrupts whenever a bit in the register is set.
 **
 **  Inbound Doorbells:
 **  ------------------
 **  . When the Inbound Doorbell Register is written by an external PCI agent, an interrupt may be generated to the Intel R XScale  core.
 **    An interrupt is generated when any of the bits in the doorbell register is written to a value of 1.
-**    Writing a value of 0 to any bit does not change the value of that bit and does not cause an interrupt to be generated.
-**  . Once a bit is set in the Inbound Doorbell Register, it cannot be cleared by any external PCI agent.
+**    Writing a value of 0 to any bit does not change the value of that bit and does not cause an interrupt to be generated. 
+**  . Once a bit is set in the Inbound Doorbell Register, it cannot be cleared by any external PCI agent. 
 **    The interrupt is recorded in the Inbound Interrupt Status Register.
 **  . The interrupt may be masked by the Inbound Doorbell Interrupt mask bit in the Inbound Interrupt Mask Register.
 **    When the mask bit is set for a particular bit, no interrupt is generated for that bit.
 **    The Inbound Interrupt Mask Register affects only the generation of the normal messaging unit interrupt
-**    and not the values written to the Inbound Doorbell Register.
+**    and not the values written to the Inbound Doorbell Register. 
 **    One bit in the Inbound Doorbell Register is reserved for an Error Doorbell interrupt.
-**  . The interrupt is cleared when the Intel R XScale core writes a value of 1 to the bits in the Inbound Doorbell Register that are set.
+**  . The interrupt is cleared when the Intel R XScale core writes a value of 1 to the bits in the Inbound Doorbell Register that are set. 
 **    Writing a value of 0 to any bit does not change the value of that bit and does not clear the interrupt.
 **  ------------------------------------------------------------------------
 **  Inbound Doorbell Register - IDR
 **
-**  . The Inbound Doorbell Register (IDR) is used to generate interrupts to the Intel XScale core.
-**  . Bit 31 is reserved for generating an Error Doorbell interrupt.
-**    When bit 31 is set, an Error interrupt may be generated to the Intel XScale core.
-**    All other bits, when set, cause the Normal Messaging Unit interrupt line of the Intel XScale core to be asserted,
+**  . The Inbound Doorbell Register (IDR) is used to generate interrupts to the Intel XScale core. 
+**  . Bit 31 is reserved for generating an Error Doorbell interrupt. 
+**    When bit 31 is set, an Error interrupt may be generated to the Intel XScale core. 
+**    All other bits, when set, cause the Normal Messaging Unit interrupt line of the Intel XScale core to be asserted, 
 **    when the interrupt is not masked by the Inbound Doorbell Interrupt Mask bit in the Inbound Interrupt Mask Register.
 **    The bits in the IDR register can only be set by an external PCI agent and can only be cleared by the Intel XScale  core.
 **  ------------------------------------------------------------------------
 **  Bit       Default                       Description
 **  31          0 2                         Error Interrupt - Generate an Error Interrupt to the Intel XScale core.
-**  30:00    00000000H                      Normal Interrupt - When any bit is set, generate a Normal interrupt to the Intel XScale core.
+**  30:00    00000000H                      Normal Interrupt - When any bit is set, generate a Normal interrupt to the Intel XScale core. 
 **                                                             When all bits are clear, do not generate a Normal Interrupt.
 **************************************************************************
 */
@@ -4460,32 +4631,32 @@ struct SENSE_DATA {
 **************************************************************************
 **  Inbound Interrupt Status Register - IISR
 **
-**  . The Inbound Interrupt Status Register (IISR) contains hardware interrupt status.
-**    It records the status of Intel XScale core interrupts generated by the Message Registers, Doorbell Registers, and the Circular Queues.
-**    All interrupts are routed to the Normal Messaging Unit interrupt input of the Intel XScale core,
-**    except for the Error Doorbell Interrupt and the Outbound Free Queue Full interrupt;
-**    these two are routed to the Messaging Unit Error interrupt input.
-**    The generation of interrupts recorded in the Inbound Interrupt Status Register
-**    may be masked by setting the corresponding bit in the Inbound Interrupt Mask Register.
-**    Some of the bits in this register are Read Only.
+**  . The Inbound Interrupt Status Register (IISR) contains hardware interrupt status. 
+**    It records the status of Intel XScale core interrupts generated by the Message Registers, Doorbell Registers, and the Circular Queues. 
+**    All interrupts are routed to the Normal Messaging Unit interrupt input of the Intel XScale core, 
+**    except for the Error Doorbell Interrupt and the Outbound Free Queue Full interrupt; 
+**    these two are routed to the Messaging Unit Error interrupt input. 
+**    The generation of interrupts recorded in the Inbound Interrupt Status Register 
+**    may be masked by setting the corresponding bit in the Inbound Interrupt Mask Register. 
+**    Some of the bits in this register are Read Only. 
 **    For those bits, the interrupt must be cleared through another register.
 **
 **  Bit       Default                       Description
 **  31:07    0000000H 0 2                   Reserved
-**  06          0 2              Index Register Interrupt - This bit is set by the MU hardware
+**  06          0 2              Index Register Interrupt - This bit is set by the MU hardware 
 **                               when an Index Register has been written after a PCI transaction.
-**  05          0 2              Outbound Free Queue Full Interrupt - This bit is set
-**                               when the Outbound Free Head Pointer becomes equal to the Tail Pointer and the queue is full.
+**  05          0 2              Outbound Free Queue Full Interrupt - This bit is set 
+**                               when the Outbound Free Head Pointer becomes equal to the Tail Pointer and the queue is full. 
 **                               An Error interrupt is generated for this condition.
-**  04          0 2              Inbound Post Queue Interrupt - This bit is set by the MU hardware when the Inbound Post Queue has been written.
-**                               Once cleared, an interrupt does NOT be generated
+**  04          0 2              Inbound Post Queue Interrupt - This bit is set by the MU hardware when the Inbound Post Queue has been written. 
+**                               Once cleared, an interrupt does NOT be generated 
 **                               when the head and tail pointers remain unequal (i.e. queue status is Not Empty).
-**                               Therefore, when software leaves any unprocessed messages in the post queue when the interrupt is cleared,
+**                               Therefore, when software leaves any unprocessed messages in the post queue when the interrupt is cleared, 
 **                               software must retain the information that the Inbound Post queue status is not empty.
 **          NOTE: This interrupt is provided with dedicated support in the 80331 Interrupt Controller.
 **  03          0 2              Error Doorbell Interrupt - This bit is set when the Error Interrupt of the Inbound Doorbell Register is set.
 **                               To clear this bit (and the interrupt), the Error Interrupt bit of the Inbound Doorbell Register must be clear.
-**  02          0 2              Inbound Doorbell Interrupt - This bit is set when at least one
+**  02          0 2              Inbound Doorbell Interrupt - This bit is set when at least one 
 **                               Normal Interrupt bit in the Inbound Doorbell Register is set.
 **                               To clear this bit (and the interrupt), the Normal Interrupt bits in the Inbound Doorbell Register must all be clear.
 **  01          0 2              Inbound Message 1 Interrupt - This bit is set by the MU hardware when the Inbound Message 1 Register has been written.
@@ -4495,7 +4666,7 @@ struct SENSE_DATA {
 #define     ARCMSR_MU_INBOUND_INTERRUPT_STATUS_REG	      0x24    /*dword 0x27,0x26,0x25,0x24*/
 #define     ARCMSR_MU_INBOUND_INDEX_INT                      0x40
 #define     ARCMSR_MU_INBOUND_QUEUEFULL_INT                  0x20
-#define     ARCMSR_MU_INBOUND_POSTQUEUE_INT                  0x10
+#define     ARCMSR_MU_INBOUND_POSTQUEUE_INT                  0x10         
 #define     ARCMSR_MU_INBOUND_ERROR_DOORBELL_INT             0x08
 #define     ARCMSR_MU_INBOUND_DOORBELL_INT                   0x04
 #define     ARCMSR_MU_INBOUND_MESSAGE1_INT                   0x02
